/**
 * AWS S3 App
 * There are different ways implementing an App
 */
var isomountApp = isomountApp || {};  //Define App namespace, if you want.
/**
 * Constructor UNAS App
 */
isomountApp.App = function () {
    this.id = 'ISO Mount';
    this.name = 'ISO Mount';
    this.version = '6.0.6';
    this.active = false;
    this.menuIcon = '/apps/isomount/images/isomount_logo.png?v=6.0.6&';
    this.shortcutIcon = '/apps/isomount/images/isomount_logo.png?v=6.0.6&';
    this.entryUrl = '/apps/isomount/isomount.html?v=6.0.6&';
	var self = this;
    this.isomountAppWindow = function () { //create app window
    	if(UNAS.CheckAppState('ISO Mount')){
    		return false;
    	}
        self.window=new MUI.Window({
            id: 'isomountAppWindow',
            title: UNAS._('ISO Mount'),
            icon: '/apps/isomount/images/logo_small.png?v=6.0.6&',
            width: 820,
            height: 550,
            maximizable: false,
            resizable: true,
            scrollbars: false,
            resizeLimit: { 'x': [820, 2000], 'y': [550, 1500] },
			loadMethod: 'xhr',
            contentURL: '/apps/isomount/isomount.html?v=6.0.6&',
            require: {  css: ['/apps/isomount/css/style.css'] },
			onBeforeBuild: function(){UNAS.SetAppOpenedWindow("ISO Mount",'isomountAppWindow')}
        });
    };
	this.isomountAppUninstall = function (){
    	UNAS.RemoveDesktopShortcut('ISO Mount');
    	UNAS.RemoveMenu('ISO Mount');
    	UNAS.RemoveAppFromGroups('ISO Mount', 'ControlPanel');
    	// UNAS.RemoveAppFromGroups('ISO Mount', 'Help');
    	UNAS.RemoveAppFromApps('ISO Mount');
    }
    new UNAS.Menu('UNAS_App_SystemTools_Menu', this.name, this.menuIcon, 'ISO Mount', '', this.isomountAppWindow);
    new UNAS.DesktopShortcut(this.name, this.shortcutIcon, 'ISO Mount', this.isomountAppWindow);
	new UNAS.RegisterToAppGroup(this.name, 'ControlPanel', {'Type' : 'SystemTools', 'Location' : 7, "Icon": this.shortcutIcon, "Url": this.entryUrl},{});
	var OnChangeLanguage = function (e) {
        UNAS.SetMenuTitle('ISO Mount', UNAS._('ISO Mount')); //translate menu
        UNAS.SetShortcutTitle('ISO Mount', UNAS._('ISO Mount')); //translate shortcut
        if (typeof self.window !== 'undefined') {
            UNAS.SetWindowTitle('isomountAppWindow', UNAS._('ISO Mount'));
        }
    }
	UNAS.LoadTranslation('/apps/isomount/languages/Translation?v='+this.version, OnChangeLanguage);
    UNAS.Event.addEvent('ChangeLanguage', OnChangeLanguage);
	UNAS.CreateApp(this.name,this.shortcutIcon,this.isomountAppWindow,this.isomountAppUninstall);
};

new isomountApp.App(); //Create app